import httpRequest from '@/utils/axios'

// 获取搜索条件
export function getConditionList(params: { channel: boolean }) {
  return httpRequest.get('/api/customer/v1/index/index/condition', { params })
}
export function getChannelList(params: {
  created_time_start?: string
  created_time_end?: string
  title?: string
  channel_id?: string
  tags?: string
  company_short_name?: string
  ['per-page']: string
  page: string
}) {
  return httpRequest.get('/api/customer/v1/channel/index/index', { params })
}
// 获取详情
export function getChannelDetail(params: { id: string }) {
  return httpRequest.get('/api/customer/v1/channel/index/view', { params })
}
