import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/school/contact',
    component: AppLayout,
    children: [
      { path: '', component: () => import('./views/List.vue') },
      { path: '/school/contact/detail', component: () => import('./views/View.vue') }
    ]
  }
]
