import httpRequest from '@/utils/axios'

// 获取课程列表
export function getProjectList(params: {
  name?: string
  number?: string
  type?: string
  stage?: string
  market?: string
  pre_sale?: string
  teaching?: string
  ['per-page']?: string
  page?: string
}) {
  return httpRequest.get('/api/customer/v1/school/project/index', { params })
}
// 获取学校详情
export function getProjectDetail(params: { id: string }) {
  return httpRequest.get('/api/customer/v1/school/project/view', { params })
}
export function importProject(data: { file: any }) {
  return httpRequest.post('/api/customer/v1/school/project/import', data, {
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}
