import httpRequest from '@/utils/axios'

// 获取搜索条件
export function getConditionList(params: { wechat: boolean }) {
  return httpRequest.get('/api/customer/v1/index/index/condition', { params })
}
// 获取全部学员信息
export function getWechatUserList(params: {
  create_time_start?: string
  create_time_end?: string
  name?: string
  remark?: string
  remark_mobiles?: string
  follow_name?: string
  follow_department_id?: string
  tag_id?: string
  add_way?: string
  corp_name?: string
  ['per-page']?: string
  page?: string
}) {
  return httpRequest.get('/api/customer/v1/customer/wechat/index', { params })
}
// 获取详情
export function getwechatUserDetail(params: { id: string }) {
  return httpRequest.get('/api/customer/v1/customer/wechat/view', { params })
}
