import httpRequest from '@/utils/axios'

// 获取联系人列表
export function getContactList(params: {
  name?: string
  phone?: string
  type?: string
  school_name?: string
  college?: string
  ['per-page']?: string
  page: string
}) {
  return httpRequest.get('/api/customer/v1/school/user/index', { params })
}
// 获取联系人详情
export function getContactDetail(params: { id: string }) {
  return httpRequest.get('/api/customer/v1/school/user/view', { params })
}
export function importContact(data: { file: any }) {
  return httpRequest.post('/api/customer/v1/school/user/import', data, {
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}
