import httpRequest from '@/utils/axios'

// 获取课程列表
export function getSchoolList(params: {
  name?: string
  number?: string
  nature?: string
  department?: string
  leader?: string
  from?: string
  ['per-page']?: string
  page?: string
}) {
  return httpRequest.get('/api/customer/v1/school/school/index', { params })
}
// 获取学校详情
export function getSchoolDetail(params: { id: string }) {
  return httpRequest.get('/api/customer/v1/school/school/view', { params })
}
// 获取学校详情
export function importSchool(data: { file: any }) {
  return httpRequest.post('/api/customer/v1/school/school/import', data, {
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}
