import httpRequest from '@/utils/axios'

// 获取搜索条件
export function getConditionList(params: { xiaoe: boolean }) {
  return httpRequest.get('/api/customer/v1/index/index/condition', { params })
}
// 获取全部学员信息
export function getGooseList(params: {
  created_at_start?: string
  created_at_end?: string
  phone?: string
  id?: string
  wx_account?: string
  name?: string
  province?: string
  company?: string
  wx_email?: string
  from?: string
  sales?: string
}) {
  return httpRequest.get('/api/customer/v1/customer/xiaoe/index', { params })
}
// 获取小鹅通详情
export function getGooseUserDetail(params: { id: string }) {
  return httpRequest.get('/api/customer/v1/customer/xiaoe/view', { params })
}
