import httpRequest from '@/utils/axios'

// 获取搜索条件
export function getConditionList(params: { zws: boolean }) {
  return httpRequest.get('/api/customer/v1/index/index/condition', { params })
}
// 获取全部学员信息
export function getZwsUserList(params: {
  createTime?: string
  create_time_start?: string
  create_time_end?: string
  updatedTime?: string
  updated_time_start?: string
  updated_time_end?: string
  application_status?: string
  project_id?: string
  user_name?: string
  email?: string
  phone_number?: string
  sales_rep?: string
  channel?: string
}) {
  return httpRequest.get('/api/customer/v1/customer/zws/index', { params })
}
// 获取详情
export function getZwsUserDetail(params: { id: string }) {
  return httpRequest.get('/api/customer/v1/customer/zws/view', { params })
}
