import type { Component } from 'vue'

export interface IMenuItem {
  tag?: string
  name: string
  path: string
  icon?: Component
  children?: IMenuItem[]
}

// 用户信息

export interface IInfo {
  id: string
  mobile: string
  name: string
  email: string
  username: string
  avatar: string
  auth_key: null
}
export interface IPermissions {
  id: string
  name: string
  tag: string
  parent_id: string
  type: number
  desc: string
  effect_uris: string
}
