const shortcuts = [
  {
    text: '今日',
    value: () => {
      const end = new Date()
      const start = new Date()
      start.setTime(new Date(new Date().toLocaleDateString()).getTime())
      return [start, end.setHours(23, 59, 59, 999)]
    }
  },
  {
    text: '昨日',
    value: () => {
      // const end = new Date()
      const start = new Date()
      start.setTime(start.getTime() - 3600 * 1000 * 24)
      return [start.setHours(0, 0, 0, 0), start.setHours(23, 59, 59, 999)]
    }
  },
  {
    text: '本周',
    value: () => {
      // let weeks = ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六']
      const end = new Date()
      const start = new Date()
      console.log(start.getDay())
      start.setTime(start.getTime() - 3600 * 1000 * 24 * (start.getDay() - 1))
      return [start.setHours(0, 0, 0, 0), end]
    }
  },
  {
    text: '上周',
    value: () => {
      const end = new Date()
      const start = new Date()
      start.setTime(start.getTime() - 3600 * 1000 * 24 * (start.getDay() + 6))
      end.setTime(end.getTime() - 3600 * 1000 * 24 * end.getDay())
      return [start.setHours(0, 0, 0, 0), end.setHours(23, 59, 59, 999)]
    }
  },
  {
    text: '过去7天',
    value: () => {
      const end = new Date()
      const start = new Date()
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 7)
      return [start.setHours(0, 0, 0, 0), end.setHours(23, 59, 59, 999)]
    }
  },
  {
    text: '过去14天',
    value: () => {
      const end = new Date()
      const start = new Date()
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 14)
      return [start.setHours(0, 0, 0, 0), end.setHours(23, 59, 59, 999)]
    }
  },
  {
    text: '过去30天',
    value: () => {
      const end = new Date()
      const start = new Date()
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 30)
      return [start.setHours(0, 0, 0, 0), end.setHours(23, 59, 59, 999)]
    }
  },
  {
    text: '过去60天',
    value: () => {
      const end = new Date()
      const start = new Date()
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 60)
      return [start.setHours(0, 0, 0, 0), end.setHours(23, 59, 59, 999)]
    }
  },
  {
    text: '过去90天',
    value: () => {
      const end = new Date()
      const start = new Date()
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 90)
      return [start.setHours(0, 0, 0, 0), end.setHours(23, 59, 59, 999)]
    }
  },
  {
    text: '过去180天',
    value: () => {
      const end = new Date()
      const start = new Date()
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 180)
      return [start.setHours(0, 0, 0, 0), end.setHours(23, 59, 59, 999)]
    }
  }
]
export default shortcuts
